﻿using CalculatorVB;

namespace InterLanguageInteraction
{
    internal class Program
     {
        static void Main(string[] args)
        {
            // Создание и использование типа написанного на другом языке
            Calculator сalculator = new Calculator();
            int result = сalculator.Add(2, 6);
            Console.WriteLine("Создание и использование типа, написанного на другом языке\nСложение 2+6 = {0}", result);

            // Использование типа на C# отнаследованного от типа, написанного на другом языке Visual Basic
            AdvancedCalculator advancedCalculator = new AdvancedCalculator();
            result = advancedCalculator.Add(3, 8); // Метод на Visual Basic
            Console.WriteLine("Использование типа, отнаследованного от класса, написанного на другом языке\nСложение 3+8 = {0}", result);
            result = advancedCalculator.Sub(27, 13); // Метод на C#
            Console.WriteLine("Использование типа, отнаследованного от класса, написанного на другом языке\nВычитание 27-13 = {0}", result);

            Console.ReadKey();
        }
    }

    // Наследование от типа, написанного на другом языке
    class AdvancedCalculator : Calculator
    {
        public int Sub(int x, int y)
        {
            return x - y;
        }
    }

}